Bug 982760 - Kerberos users are marked as system users, and don't show up in accounts dialog or gdm
Kerberos users are marked as system users, and don't show up in accounts dial...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: accountsservice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 15:50 EDT by Ben Webb
Modified: 2015-02-17 11:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:01:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Webb 2013-07-09 15:50:55 EDT
Description of problem:
We use Kerberos for authentication, but not LDAP (so users have local accounts, with a password hash of '*' in /etc/shadow). Since upgrading to Fedora 19, none of these users show up at the gdm login screen or in the users dialog.

Version-Release number of selected component (if applicable):
accountsservice-0.6.34-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. sudo adduser -c 'Test User' -u 11809 testuser
2. Edit /etc/shadow and set the password hash to '*'.

Actual results:
User does not show up in gdm, or users dialog (even if I'm currently logged in as that user!). accountsservice over dbus claims the user is a system user (again, even if I'm logged in as that user):

$ dbus-send --system --type=method_call --print-reply     --dest=org.freedesktop.Accounts     /org/freedesktop/Accounts/User11809 org.freedesktop.DBus.Properties.Get     string:"org.freedesktop.Accounts.User" string:"SystemAccount"
method return sender=:1.15 -> dest=:1.228 reply_serial=2
   variant       boolean true

Setting a local password for testuser results in it showing up as expected, and *not* being marked as a system user.

Expected results:
User shows up in gdm and accounts dialog.

Additional info:
Bug #958537 seems to be related, but obviously the fix for that doesn't work for us.
Comment 1 Fedora End Of Life 2015-01-09 13:48:35 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:01:45 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.